import { RELAYER_CONFIG as e } from "../constants/server.constants.mjs";
import { RELAYER_URL as t } from "./getServerURL.mjs";
import { httpClient as n } from "../data-structures/http/HttpClient.mjs";
//#region libs/shared/common/src/API/deposit-and-withdraw-status-calls.ts
var r = (r) => n.post(`${t}${e.updateDepositAndWithdrawStatus}`, r), i = async (e) => {
	if (e.id) try {
		return await r(e);
	} catch {
		return;
	}
};
//#endregion
export { i as safeUpdateDepositAndWithdrawStatus, r as updateDepositAndWithdrawStatus };
